<?php
include "../ver_sessao.php";
include "../conecta.php";
require("../PHPMailer_v5.1/class.phpmailer.php");



function cadastra_finaliza() {


	$a_compra=carregar('compra',$_POST[id]);
	
	$valor_boleto=$_POST[valor_boleto];
	$obs_boleto=$_POST[obs_boleto];
	$venc_boleto=$_POST[venc_boleto];
	
	$t_boleto = count($venc_boleto);
	
	$parcelas=0;
	
	for($i=0;$i!=$t_boleto;$i++){

		$valor_vez = valor($valor_boleto[$i]);
		$venc_vez = gera_data($venc_boleto[$i],1);
		$obs_vez = $obs_boleto[$i];
	
		if( $valor_vez=='0'  || $venc_vez=='' || $venc_vez == '0000-00-00')
			continue;
		else
			$parcelas++;
			
	}
	if( $parcelas == 0 ) {
		set_status('ERRO: Cadastre as informações do boleto');
		layout_finaliza();
		exit;
	}

	
	
	$campos=array(movi_tx_tipo,movi_nb_centrocusto,movi_nb_planoconta,movi_nb_ref,movi_tx_data,movi_tx_valordoc,
			movi_tx_notafiscal,movi_tx_parcelas,movi_tx_status);
	$valores=array(Saída,$_POST[centro],$_POST[planoconta],$a_compra[comp_nb_entidade],gera_data("hoje",1),valor($_POST[valorNf]),
			$_POST[numeroNf],$parcelas,ativo);
	
	inserir('movimento',$campos,$valores,1);
	
	$movi=ultimo_reg('movimento');
	$parcelas = 0;
	
	for($j=0; $j!=$t_boleto; $j++){
	
		$valor_vez = valor($valor_boleto[$j]);
		$venc_vez = gera_data($venc_boleto[$j],1);
		$obs_vez = $obs_boleto[$j];
	
		if( $valor_vez=='0'  || $venc_vez=='' || $venc_vez == '0000-00-00')
			continue;
		
		if( $_POST[numeroNf] != '' )
			$obs_vez .= " NF: $_POST[numeroNf]"; 
		
		$campos=array(bole_nb_movimento,bole_tx_vencimento,bole_tx_parcela,bole_tx_status,bole_tx_obs,bole_tx_valordoc);
		$valores=array($movi,$venc_vez,++$parcelas,ativo,$obs_vez,$valor_vez);
		inserir('boleto',$campos,$valores,1);
	}
	



	$diretorio = $_SERVER[DOCUMENT_ROOT].$CONFIGURA[PATH]. "/arquivos/";
	$arq = isset($_FILES['arquivo1']) ? $_FILES['arquivo1'] : FALSE; 
	if( $arq ) {
		
		$nome = $diretorio . $_POST[id]."_notafiscal".substr($arq['name'],-4);
		
		$r = @move_uploaded_file($arq['tmp_name'], $nome);
		if( $r == 1 ) {
			$nota_autoriza = $nome;
		} 
		
	} 

	$arq = isset($_FILES['arquivo2']) ? $_FILES['arquivo2'] : FALSE; 
	if( $arq ) {
		
		$nome = $diretorio .$_POST[id]."_boleto".substr($arq['name'],-4);
		
		$r = @move_uploaded_file($arq['tmp_name'], $nome);
		if( $r == 1 ) {
			$boleto_autoriza = $nome;
		}
	} 



	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {
		
		$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		$valor_total += $valor;
		
				
	}
	

	$campos=array(comp_tx_status,comp_tx_dataFinaliza,comp_nb_userFinaliza,comp_tx_notaAutoriza,comp_tx_boletoAutoriza,comp_nb_movimento,comp_tx_valor);
	$valores=array(Finalizado,date("Y-m-d H:i:s"),$_SESSION[user_nb_id],$nota_autoriza,$boleto_autoriza,$movi,$valor_total);
	atualizar('compra',$campos,$valores,$_POST[id]);
	
	set_status('Compra finalizada com sucesso!');
	index();
	exit;
}


function cadastra_autoriza() {
	global $CONFIGURA;
	$check=$_POST[check];
	for($i=0;$i<count($check);$i++){

		atualizar('listacompra',list_tx_status,'Autorizado',$check[$i]);
	}

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {
		
		atualizar('listacompra',list_tx_status,'Negado',$a[list_nb_id]);
		
	}

	for($i=0;$i<count($check);$i++){
		atualizar('listacompra',list_tx_status,'ativo',$check[$i]);
	}


	// print_r($_POST);
	// exit;

	$_POST[gestor]=$_SESSION[user_nb_id];
	
	$diretorio = $_SERVER[DOCUMENT_ROOT].$CONFIGURA[PATH]. "arquivos/";
	$arq = isset($_FILES['arquivo']) ? $_FILES['arquivo'] : FALSE; 
	if( $arq ) {
		
		$nome = $diretorio . $_POST[id]."_autorizacao".substr($arq['name'],-4);;
		
		$r = @move_uploaded_file($arq['tmp_name'], $nome);
		if( $r == 1 ) {
			$arquivo_autoriza = $nome;
		} 
	} 

	$campos=array(comp_tx_status,comp_nb_userGestor,comp_tx_obsAutoriza,comp_tx_dataAutoriza,comp_nb_userAutoriza,comp_tx_arquivoAutoriza);
	$valores=array($_POST[situacao],$_POST[gestor],$_POST[obs],date("Y-m-d H:i:s"),$_SESSION[user_nb_id],$arquivo_autoriza);
	atualizar('compra',$campos,$valores,$_POST[id]);
	
	set_status('Autorização efetuada com sucesso!');
	index();
	exit;
}




function layout_finaliza() {
	global $a_mod;
	
	
	$a_comp = carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");
	$a_auto = carregar('user',$a_comp[comp_nb_userGestor]);
	
//	print_r($a_auto);
	
	cabecalho('Requisição de Compra',2);
	
	cactux::abre_form('upload');
	
	$t1[] = cactux::texto('Código:',zeros($a_comp[comp_nb_id],3),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comp[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[comp_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t2[] = cactux::texto('Descrição:',$a_comp[comp_tx_obsCadastro],4);
//	$t2[] = cactux::texto('Valor:',mostra_valor($a_comp[comp_tx_valor],1),2);

	$t3[] = cactux::texto('Situação:',$a_comp[comp_tx_status],2);
	$t3[] = cactux::texto('Autorizado Por:',$a_auto[user_tx_nome],2);
	$t3[] = cactux::texto('Observação:',$a_comp[comp_tx_obsAutoriza],4);
	$t3[] = cactux::texto('Arquivo:',"",2);
	
	$c[] = cactux::campo('Número NF:','numeroNf','',2);
	$c[] = cactux::campo('Valor NF:','valorNf','',2,MASCARA_VALOR);
	$c[] = cactux::campo_arquivo('NF Digitalizado:','arquivo1',3);
	$c[] = cactux::campo_arquivo('Boletos Digitalizados:','arquivo2',3);
	
	$c4[] = cactux::combo_bd('Centro de Custo:','centro',$a_centro[0],$a_centro[1],3,'centrocusto','',".nome");
	//$c4[] = cactux::combo_bd('Plano Conta:','planoconta',$a_plano[0],$a_plano[1],3,'planoconta','',".nome");
	$c4[] = cactux::combo_net('Plano Conta:','planoconta',$a_plano[0],$a_plano[1],4,array("busca_div.php?c=planoconta","busca_net.php?c=planoconta"));
	

	
	cactux::abre_fieldset('Informações da Finalização');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0],$t2[1],$t2[2]);
	cactux::linha_fieldset($t3[0],$t3[1],$t3[2],$t3[3]);
	
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3]);
	cactux::linha_fieldset($c4[0],$c4[1]);

	for($i=0; $i!=24; $i++) {
		
		$c1 = cactux::campo('Vencimento Boleto:','venc_boleto[]','',2, MASCARA_DATA." onFocus=abre_proximo('div_boleto_',".($i+1).")");
		$c2 = cactux::campo('Valor Boleto:','valor_boleto[]','',2,MASCARA_VALOR." onFocus=abre_proximo('div_boleto_',".($i+1).")");
		$c3 = cactux::campo('Descrição Boleto:','obs_boleto[]','',5," onFocus=abre_proximo('div_boleto_',".($i+1).")");
		
		
		if( $i == 0 )	$display='block';	else	$display='none';

		echo "<div id=div_boleto_".$i." style='display:$display'>";
		cactux::linha_fieldset($c1,$c2,$c3);		
		echo "</div>";
		
	}

	$finaliza=cactux::botao_submit('Gravar',2,'cadastra_finaliza','id',"$_POST[id]");
	$voltar=cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();

	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$finaliza,$status);

	cactux::fecha_form();
	cactux::acao_botao('voltar','index');

	$cabeca[] = array('','PRODUTO','QUANTIDADE','VALOR UN.','VALOR');
	$cabeca[] = 'c,e,d,d,d';
	$cabeca[] = '5%,,10%,10%,10%';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {
		
		$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		$valor_total += $valor;
		
		$valores[] = array(++$j,$a[prod_tx_nome],mostra_valor($a[list_tx_qtde],1),mostra_valor($a[list_tx_valor],1),mostra_valor($valor));
		
	}
	$valores[]=array('','','','<B>TOTAL:','<B>'.mostra_valor($a_comp[comp_tx_valor],1));
	
	grid::gerar($cabeca,$valores);

	javascript("
	
	function abre_proximo(nome,id_proximo) {

		document.getElementById(nome+id_proximo).style.display='block';	
		
	}
	
	");
	
	rodape();
	
}



function enviar_email() {
	global $CONFIGURA;

	$a_comp=carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");
	if($_POST[email]!=''){
		atualizar('entidade','enti_tx_email',$_POST[email],$a_comp[enti_nb_id]);
		$a_comp=carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");

	}

	if($a_comp[enti_tx_email]){



			$LOJA = carregar('empresa',1);

			if ( $LOJA[empr_nb_cidade] > 0 ) {
				$LOJA_CIDADE = carregar('cidade',$LOJA[empr_nb_cidade]);

				$NOME_CIDADE = $LOJA_CIDADE[cida_tx_nome];
				$LOJA_CIDADE[cida_tx_nome] = $LOJA_CIDADE[cida_tx_nome].'/'.$LOJA_CIDADE[cida_tx_uf];
			}


			$mail = new PHPMailer();
	
			$mail->IsSMTP();  // telling the class to use SMTP
			$mail->IsHTML(true);//TIPO DO EMAIL HTML
			$mail->SMTPAuth   = true;  
			$mail->Host       = 'mail.sistemascactus.com.br'; // SMTP server
			$mail->Port       = 587; 
			$mail->Username   = 'email@sistemascactus.com.br'; // Usuário do servidor SMTP (endereço de email)
			$mail->Password   = 'cactus000'; // Senha do servidor SMTP (senha do email usado)
	
			$mail->SetFrom('email@sistemascactus.com.br', $LOJA[empr_tx_nome]);
			$mail->FromName = strtoupper($LOJA[empr_tx_nome]);
			$mail->AddReplyTo("email@sistemascactus.com.br");
			// $mail->AddAddress('renato@cactustecnologia.com.br');
			// $mail->AddAddress('raphael@cactustecnologia.com.br');
	
			$mail->Subject  = "AUTORIZAÇÃO DE COMPRA ".strtoupper($LOJA[empr_tx_nome]);
			
			
			// $mail->AddAddress('renato@cactustecnologia.com.br');
			// $mail->AddAddress('raphael@cactustecnologia.com.br');
			//$mail->AddAddress('luzia@cactustecnologia.com.br');
			$mail->AddAddress("$a_comp[enti_tx_email]");
			
				
			$texto_msg = "<p>Prezado(a) <b>$a_comp[enti_tx_nome]</b>, <br>$LOJA[empr_tx_nome] solicita a compra dos seguinte(s) iten(s) listado(s) abaixo:</p>";


			$texto_msg .= "<table border=1 width='95%' cellspacing=0 cellpadding=0 class=bordasimples>";
				$texto_msg .= "<tr>";
					$texto_msg .= "<td></td>";
					$texto_msg .= "<th>PRODUTO</th>";
					$texto_msg .= "<th>UNIDADE</th>";
					$texto_msg .= "<th>QUANTIDADE</th>";
					$texto_msg .= "<th>VALOR UNITARIO</th>";
					$texto_msg .= "<th>VALOR</th>";
				$texto_msg .= "<tr>";


	
			$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
			while( $a=carrega_array($sql) ) {

				$valor = $a[list_tx_valor]*$a[list_tx_qtde];

				$texto_msg .= "<tr>";
					$texto_msg .= "<td>".++$j."</td>";
					$texto_msg .= "<td>".$a[prod_tx_nome]."</td>";
					$texto_msg .= "<td>".$a[list_tx_unidade]."</td>";
					$texto_msg .= "<td>".mostra_valor($a[list_tx_qtde],1)."</td>";
					$texto_msg .= "<td>".mostra_valor($a[list_tx_valor],1)."</td>";
					$texto_msg .= "<td>".mostra_valor($valor)."</td>";

				$texto_msg .= "<tr>";
					
				$valor_total += $valor;
				$qtde_total += $a[list_tx_qtde];
				
			}

			$texto_msg .= "<tr>";
				$texto_msg .= "<td></td>";
				$texto_msg .= "<td></td>";
				$texto_msg .= "<td><b>TOTAL:</b></td>";
				$texto_msg .= "<td><b>".mostra_valor($qtde_total,1)."</b></td>";
				$texto_msg .= "<td></td>";
				$texto_msg .= "<td><b>".mostra_valor($valor_total)."</b></td>";

			$texto_msg .= "<tr>";

			$texto_msg .= "</table>";
	
			

	
			$msg = "<html>

						<head>
						<meta http-equiv='Content-Language' content='pt-br'>
						<meta http-equiv='Content-Type' content='text/html; charset=windows-1252'>
						<title>$LOJA[empr_tx_nome]</title>
						</head>

						<body>

						<table border='0' style='background-color: #187045' width='760' cellpadding=0 cellspacing=0>
							<tr >
								<td colspan='3'>
									<img align = 'bottom' border='0' src='http://sistemascactus.com$CONFIGURA[PATH]galeria/cabecalho_limpo.png'>
								</td>
							</tr>
							
								
							<tr >
								<td width='4px'>
									
								</td>

								<td width='764' style='background-color:white; padding-left: 37px;  font-family:Verdana; font-size:15px' align='left' height='90' text-decoration:none>
								<span style='letter-spacing: normal;text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px text-decoration:none' > 
								
									<br>";

			$msg .= $texto_msg;


			$msg.="

								</font></span></td>

								<td width='4px'>
									
								</td>
							</tr>

								
							<tr style=''>
								<td width='4px'>
									
								</td>

								<td  width='764' style='background-color:white; padding-left: 37px;  font-family:Verdana; font-size:15px' align='right' height='90' text-decoration:none>
								<span style='letter-spacing: normal;text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px text-decoration:none' >
								
									<br>$NOME_CIDADE, ". date("d")." de  ".mesExtenso()." de ". date("Y") ."&nbsp;&nbsp;

								</font></span></td>

								<td width='4px'>
									
								</td>

							</tr>
						</table>
					";					
			
			
			
				
			// Rodapé do email
			$msg.=  "
					<table border='0' width='760' cellpadding=0 cellspacing=0>
					
							<tr>
								<td width='764' style=' padding-left: 37px; background-color: #A9C62D; font-family:Verdana; color:#FFFFFF; font-size:18px' align='left' height='40'>
								<span style='color: rgb(0, 77, 125); font-family: arial, sans-serif; font-size: 13px; font-style: normal; font-variant: normal; font-weight: normal; letter-spacing: normal; line-height: normal; orphans: auto; text-align: left; text-indent: 0px; text-transform: uppercase; white-space: normal; widows: auto; word-spacing: 0px; -webkit-text-stroke-width: 0px; display: inline !important; float: none; background-color: rgb(169, 198, 45);'>
								$LOJA[empr_tx_razao]</span></td>
							</tr>
							
							
							<tr>
								<td width='764' style='padding-left: 37px; background-color: #187045; font-family:Verdana; color:#FFFFFF; font-size:12px' align='left' height='90' text-decoration:none>
								<span style='letter-spacing: normal; background-color: #187045; text-decoration:none; '>
								<font face='arial, sans-serif' style='font-size: 11px; text-decoration:none' >
								$LOJA[empr_tx_endereco] Nº $LOJA[empr_tx_numero] - $LOJA[empr_tx_bairro], $LOJA_CIDADE[cida_tx_nome] - CEP $LOJA[empr_tx_cep]<br>
								Telefone: $LOJA[empr_tx_fone] - E-mail: $LOJA[empr_tx_email] </font></span></td>
							</tr>
												
							
							
							</table>

						</body>

						</html>";


			$mail->Body     =  $msg;
			
			$mail->Send();
			
		atualizar('compra',array(comp_nb_userEmail,comp_tx_dataEmail),array($_SESSION[user_nb_id],date("Y-m-d H:i:s")),$_POST[id]);
		set_status("E-mail enviado com sucesso!");
		// index();
		// exit;

	} else {
		//Voltar quando não tiver email gravado
		set_status("Não exite um endereço de E-mail");
		// index();
		// exit;
	}


	if ( $_POST[busca_volta_pagina] != '' ) {
		chamar_pag($_POST[busca_volta_pagina]."?".cactux_cookie::url_sistema());
	} else {
		index();
	}
	exit;	
}



function layout_email() {
	global $a_mod;
	
	
	$a_comp=carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");
	
	cabecalho('Requisição de Compra',2);
	
	cactux::abre_form('upload');
	
	$t1[] = cactux::texto('Código:',zeros($a_comp[comp_nb_id],3),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comp[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[comp_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t2[] = cactux::texto('Descrição:',$a_comp[comp_tx_obsCadastro],4);
//	$t2[] = cactux::texto('Valor:',mostra_valor($a_comp[comp_tx_valor],1),2);

	$c[] = cactux::texto('E-mail:',$a_comp[enti_tx_email],3);
	$c[] = cactux::campo('Novo E-mail:','email','',3);
	if(gera_data($a_comp[enti_tx_dataEmail]!=''))
		$c[] = cactux::texto('Último Envio de E-Mail:',gera_data($a_comp[enti_tx_dataEmail],3));
	//$c[] = cactux::texto('E-mail:',$a_comp[enti_tx_email],3);
	//$c[] = cactux::combo_bd('Autorizado Por:','gestor','','',3,'user',''," user_tx_nivel='Gestor'");
	//$c[] = cactux::campo_arquivo('Arquivo Digitalizado:','arquivo',5);
	

	$finaliza = cactux::botao_submit('Enviar',2,'enviar_email','id',"$_POST[id]");
	$voltar = cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_fieldset('Informações da Autorização');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0],$t2[1],$t2[2]);
	
	cactux::linha_fieldset($c[0],$c[1],$c[2]);
	
	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$finaliza);



	$cabeca[] = array('','','PRODUTO','UNIDADE','QUANTIDADE','VALOR UN.','VALOR');
	$cabeca[] = 'c,c,e,d,d,d';
	$cabeca[] = '2%,5%,,15%,10%,10%,10%';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {

		$check = "<input type=checkbox checked=checked value=$a[list_nb_id] name=check[]>";
		
		$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		$valor_total += $valor;
		
		$valores[] = array($check,++$j,$a[prod_tx_nome],$a[list_tx_unidade],mostra_valor($a[list_tx_qtde],1),mostra_valor($a[list_tx_valor],1),mostra_valor($valor));
		
	}
	if( mostra_valor($a_comp[comp_tx_valor]) != mostra_valor($valor_total,1) )
		$valores[]=array('','','','','','<B>SUB-TOTAL:','<B>'.mostra_valor($valor_total,1));
	
	$valores[]=array('','','','','','<B>TOTAL:','<B>'.mostra_valor($a_comp[comp_tx_valor],1));
	
	grid::gerar($cabeca,$valores);

	cactux::fecha_form();

	if ( $_POST[busca_volta_pagina] != '' )
		cactux::acao_botao('voltar','index','','',$_POST[busca_volta_pagina]);
	else
		cactux::acao_botao('voltar','index');
	
	rodape();
	
}



function layout_autoriza() {
	global $a_mod;
	
	
	$a_comp=carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");
	
	cabecalho('Requisição de Compra',2);
	
	cactux::abre_form('upload');
	
	$t1[] = cactux::texto('Código:',zeros($a_comp[comp_nb_id],3),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comp[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[comp_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t2[] = cactux::texto('Descrição:',$a_comp[comp_tx_obsCadastro],4);
//	$t2[] = cactux::texto('Valor:',mostra_valor($a_comp[comp_tx_valor],1),2);

	$c[] = cactux::combo('Situação:','situacao',array('Autorizado','Negado','Solicitado'),'',2);
	//$c[] = cactux::combo_bd('Autorizado Por:','gestor','','',3,'user',''," user_tx_nivel='Gestor'");
	//$c[] = cactux::campo_arquivo('Arquivo Digitalizado:','arquivo',5);
	
	if ( trim($a_comp[comp_tx_obsAutoriza]) != '' )
		$c1[] = cactux::campo('Observação:','obs',$a_comp[comp_tx_obsAutoriza],8);
	else
		$c1[] = cactux::campo('Observação:','obs','',8);

	$finaliza=cactux::botao_submit('Gravar',2,'cadastra_autoriza','id',"$_POST[id]");
	$voltar=cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_fieldset('Informações da Autorização');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0],$t2[1],$t2[2]);
	
	cactux::linha_fieldset($c[0],$c1[0]);
	
	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$finaliza);



	$cabeca[] = array('','','PRODUTO','UNIDADE','QUANTIDADE','VALOR UN.','VALOR');
	$cabeca[] = 'c,c,e,d,d,d';
	$cabeca[] = '2%,5%,,15%,10%,10%,10%';

	$sql=selecionar('listacompra,compra,produto','list_nb_compra,list_tx_status',"$_POST[id],ativo"," ORDER BY prod_tx_nome,list_nb_id");
	while( $a=carrega_array($sql) ) {

		$check = "<input type=checkbox checked=checked value=$a[list_nb_id] name=check[]>";
		
		$valor = $a[list_tx_valor]*$a[list_tx_qtde];
		$valor_total += $valor;
		
		$valores[] = array($check,++$j,$a[prod_tx_nome],$a[list_tx_unidade],mostra_valor($a[list_tx_qtde],1),mostra_valor($a[list_tx_valor],1),mostra_valor($valor));
		
	}
	if( mostra_valor($a_comp[comp_tx_valor]) != mostra_valor($valor_total,1) )
		$valores[]=array('','','','','<B>SUB-TOTAL:','<B>'.mostra_valor($valor_total,1));
	
	$valores[]=array('','','','','','<B>TOTAL:','<B>'.mostra_valor($a_comp[comp_tx_valor],1));
	
	grid::gerar($cabeca,$valores);

	cactux::fecha_form();
	cactux::acao_botao('voltar','index');
	
	rodape();
	
}


function layout_anexo() {


	$a_comp=carregar('compra,setor,entidade.user',$_POST[id],"comp_nb_userCadastro",".user_nb_id");
	
	cabecalho('Requisição de Compra',2);
	
	cactux::abre_form('upload');
	
	$t1[] = cactux::texto('Código:',zeros($a_comp[comp_nb_id],3),2);
	$t1[] = cactux::texto('Setor:',$a_comp[seto_tx_nome],2);
	$t1[] = cactux::texto('Comprador:',$a_comp[user_tx_nome],4);
	$t1[] = cactux::texto('Data:',data($a_comp[comp_tx_dataCadastro],1),2);

	$t2[] = cactux::texto('Fornecedor:',$a_comp[enti_tx_nome],4);
	$t2[] = cactux::texto('Descrição:',$a_comp[comp_tx_obsCadastro],4);
	$t2[] = cactux::texto('Valor:',mostra_valor($a_comp[comp_tx_valor],1),2);

	if( basename($a_comp[comp_tx_arquivoAutoriza]) != '' )
		$autoriza = "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <a class=rel target=_blank href=../arquivos/".basename($a_comp[comp_tx_arquivoAutoriza]).">[Visualizar arquivo]</a>";
	if( basename($a_comp[comp_tx_notaAutoriza]) != '' )
		$nota = "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <a class=rel target=_blank href=../arquivos/".basename($a_comp[comp_tx_notaAutoriza]).">[Visualizar arquivo]</a>";
	if( basename($a_comp[comp_tx_boletoAutoriza]) != '' )
		$boleto = "&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <a class=rel target=_blank href=../arquivos/".basename($a_comp[comp_tx_boletoAutoriza]).">[Visualizar arquivo]</a>";
		
	$t3[] = cactux::texto('Autorização:','&nbsp;'.$autoriza,5);
	$t3[] = cactux::texto('Nota Fiscal:','&nbsp;'.$nota,5);
	$t3[] = cactux::texto('Boletos:','&nbsp;'.$boleto,5);

	
	$voltar=cactux::botao('Voltar',2,'voltar');
	
	cactux::abre_fieldset('Arquivos Anexos');
	cactux::linha_fieldset($t1[0],$t1[1],$t1[2],$t1[3]);
	cactux::linha_fieldset($t2[0],$t2[1],$t2[2]);
	
	cactux::linha_fieldset($t3[0]);
	cactux::linha_fieldset($t3[1]);
	cactux::linha_fieldset($t3[2]);

	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$finaliza);

	cactux::fecha_form();
	cactux::acao_botao('voltar','index');
	
	rodape();
}



function layout_imprimir(){



	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornacedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	if( $_POST[busca_status] ) {

		if ( $_POST[busca_status] == 'Finalizado' )
			$extra .= " AND (comp_tx_status='Finalizado' OR comp_tx_status='Finalizado Pendente') ";
		elseif ( $_POST[busca_status] == 'Recebido' )
			$extra .= " AND (comp_tx_status='Recebido' OR comp_tx_status='Pendente') ";
		else
			$extra .= " AND comp_tx_status = '$_POST[busca_status]'";
	}



	cabecaRelatorioVenda('Autorização de Compra',2);
	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::texto('Data Inicio:',$_POST[busca_data1]);
	$c[] = cactux::texto('Data Fim:',$_POST[busca_data2]);
	$c[] = cactux::texto('Setor:',$a_setor[seto_tx_nome]);
	$c[] = cactux::texto('Fornecedor:',$a_fornecedor[forn_tx_nome]);
	$c[] = cactux::texto('Situação:',$_POST[busca_situacao]);
	
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::fecha_fieldset();
	
	$sql=selecionar('compra,setor,entidade.user','comp_tx_status',"!inativo"," $extra AND user_nb_id=comp_nb_userCadastro  ORDER BY comp_nb_id DESC");

	
	$cabecalho[]=array('CÓD','COMPRADOR','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO');
	$cabecalho[]='c,e,e,e,c,c,c';
	$cabecalho[]='5%,,15%,25%,5%,6%,6%,2%,2%,2%';
	$cabecalho[]='98%';
	
	while($a=carrega_array($sql)){


		// O FINALIZADO PENDENTE É EQUIVALENTE AO STATUS FINALIZADO
		if ( $a[comp_tx_status] == 'Finalizado Pendente' )
			$a[comp_tx_status] = 'Finalizado';

		// O STATUS PENDENTE É O MESMO QUE O STATUS RECEBIDO, SÓ QUE INTERNAMENTE ELE TEM QUE FICAR COM O STATUS PENDENTE
		if ( $a[comp_tx_status] == 'Pendente' )
			$a[comp_tx_status] = 'Recebido';
		
		
		switch( $a[comp_tx_status] ) {
		case 'Solicitado':
			if( $_SESSION[user_tx_nivel] == 'Administrador' || $_SESSION[user_tx_nivel]=='Gestor')
				$modificar=".icone_modificar($a[0],'layout_autoriza')";
			else
				$modificar="";
				
			break;
		case 'Autorizado':
			if( $_SESSION[user_tx_nivel] == 'Administrador' || $_SESSION[user_tx_nivel]=='Gestor' || $_SESSION[user_tx_nivel]=='Administrativo')
				//$modificar=".icone_modificar($a[0],'layout_finaliza')";
				$modificar="";
			else
				$modificar="";

			break;
		default:
			$modificar="";

		}

		//print_r($_SESSION);
		
		if( $_SESSION[user_tx_login] == 'bernardo' || $_SESSION[user_tx_login] == 'betinha' || $_SESSION[user_tx_login] == 'adm' || $_SESSION[user_tx_nivel] == 'Administrativo'  ) {

			$anexo = ".icone_modificar($a[0],'layout_anexo','','','','','','/cactus/imagens/visualizar2.png')";
			$imprime = "<a href=requisicao.php?i=$a[0]&s=".md5($a[0])." target=_blank><img src='../cactus/imagens/imprimir.png' border=0></a>";
			
			$valores[]=array($a[comp_nb_id],$a[user_tx_nome],$a[seto_tx_nome],$a[enti_tx_nome],data($a[comp_tx_dataCadastro],1),
			mostra_valor($a[comp_tx_valor],1),$a[comp_tx_status]);
		
		} else {

			$anexo = "";
			$imprime = "<a href=requisicao.php?i=$a[0]&s=".md5($a[0])." target=_blank><img src='../cactus/imagens/imprimir.png' border=0></a>";
			//$modificar = "";
			
			$valores[]=array($a[comp_nb_id],$a[user_tx_nome],$a[seto_tx_nome],$a[enti_tx_nome],data($a[comp_tx_dataCadastro],1),
			mostra_valor($a[comp_tx_valor],1),$a[comp_tx_status]);
		
		}
	
		$total_valor+=$a[comp_tx_valor];
	}
	
	$valores[]=array('','','','','<b>TOTAL: </b>',mostra_valor($total_valor),'');
	
	cactux::fecha_form();
	
	echo"<br>";
	
	grid::gerar($cabecalho,$valores);

	
	rodape();
	
	
}




function index(){

	// print_r($_POST);



	cabecalho('Autorização de Compra',2);
	

	if( $_POST[busca_data1] )
		$extra .= " AND comp_tx_dataCadastro >= '".gera_data($_POST[busca_data1],1)." 00:00:00'";
	if( $_POST[busca_data2] )
		$extra .= " AND comp_tx_dataCadastro <= '".gera_data($_POST[busca_data2],1)." 23:59:59'";
	if( $_POST[busca_setor] != '1' && $_POST[busca_setor]!= '') {
		$extra .= " AND comp_nb_setor = '$_POST[busca_setor]'";
		$a_setor = carregar('setor',$_POST[busca_setor]);
	}
	if( $_POST[busca_fornecedor] ) {
		$extra .= " AND comp_nb_entidade = '$_POST[busca_fornecedor]'";
		$a_fornacedor = carregar('entidade',$_POST[busca_fornecedor]);
	}
	if( $_POST[busca_status] ) {

		if ( $_POST[busca_status] == 'Finalizado' )
			$extra .= " AND (comp_tx_status='Finalizado' OR comp_tx_status='Finalizado Pendente') ";
		elseif ( $_POST[busca_status] == 'Recebido' )
			$extra .= " AND (comp_tx_status='Recebido' OR comp_tx_status='Pendente') ";
		else
			$extra .= " AND comp_tx_status = '$_POST[busca_status]'";
	}


	
	cactux::abre_form();
	
	//CAMPOS
	$c[] = cactux::campo('Data Inicial:','busca_data1',$_POST[busca_data1],1,MASCARA_DATA);
	$c[] = cactux::campo('Data Final:','busca_data2',$_POST[busca_data2],1,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Setor:','busca_setor',$a_setor[seto_nb_id],$a_setor[seto_tx_nome],3,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo_net('!Fornecedor:','busca_fornecedor',$a_fornacedor[enti_nb_id],$a_fornacedor[enti_tx_nome],3,array('busca_div.php?c=entidade','busca_net.php?c=entidade'));
	$c[] = cactux::combo('Situação:','busca_status',array('','Solicitado','Autorizado','Recebido','Finalizado','Negado'),$_POST[busca_status],2);
	

	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$botao= cactux::botao('Imprimir',2,'imprimir');
	$status = cactux::msg_status();
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4]);
	cactux::linha_fieldset($buscar,$inserir,$botao,$status);
	cactux::fecha_fieldset();
	
	$sql=selecionar('compra,setor,entidade.user','comp_tx_status',"!inativo"," $extra AND user_nb_id=comp_nb_userCadastro  ORDER BY comp_nb_id DESC",1);
	$BUSCA = grid::gerar_paginacao($sql,'','',50);
	
	$cabecalho[]=array('CÓD','COMPRADOR','SETOR','FORNECEDOR','DATA','VALOR','SITUAÇÃO','','','','');
	$cabecalho[]='c,e,e,e,c,c,c';
	$cabecalho[]='5%,,15%,25%,5%,6%,6%,2%,2%,2%';
	
	while($a=carrega_array($BUSCA[0])){


		// O FINALIZADO PENDENTE É EQUIVALENTE AO STATUS FINALIZADO
		if ( $a[comp_tx_status] == 'Finalizado Pendente' )
			$a[comp_tx_status] = 'Finalizado';

		// O STATUS PENDENTE É O MESMO QUE O STATUS RECEBIDO, SÓ QUE INTERNAMENTE ELE TEM QUE FICAR COM O STATUS PENDENTE
		if ( $a[comp_tx_status] == 'Pendente' )
			$a[comp_tx_status] = 'Recebido';

		
		switch( $a[comp_tx_status] ) {
		case 'Solicitado':
			if( $_SESSION[user_tx_nivel] == 'Administrador' || $_SESSION[user_tx_nivel]=='Gestor')
				$modificar=".icone_modificar($a[0],'layout_autoriza')";
			else
				$modificar="";
				
			break;
		case 'Autorizado':
			if( $_SESSION[user_tx_nivel] == 'Administrador' || $_SESSION[user_tx_nivel]=='Gestor' || $_SESSION[user_tx_nivel]=='Administrativo'){
				$modificar=".icone_modificar($a[0],'layout_autoriza')";
				if($a[comp_nb_userEmail]>0)
					$enviar_email=".icone_modificar($a[0],'layout_email','','','','','E-mail','/cactus/imagens/email_enviado.png')";
				else
					$enviar_email=".icone_modificar($a[0],'layout_email','','','','','E-mail','/cactus/imagens/email.png')";

				//$modificar=".icone_modificar($a[0],'layout_finaliza')";
				// $modificar="";
			}else{
				$modificar="";
				$enviar_email='';
			}

			break;
		case 'Negado':
			if( $_SESSION[user_tx_nivel] == 'Administrador' || $_SESSION[user_tx_nivel]=='Gestor' || $_SESSION[user_tx_nivel]=='Administrativo')
				$modificar=".icone_modificar($a[0],'layout_autoriza')";
				//$modificar=".icone_modificar($a[0],'layout_finaliza')";
				// $modificar="";
			else
				$modificar="";

			break;

		default:
			$modificar="";

		}

		//print_r($_SESSION);
		
		if( $_SESSION[user_tx_login] == 'bernardo' || $_SESSION[user_tx_login] == 'betinha' || $_SESSION[user_tx_login] == 'adm' || $_SESSION[user_tx_nivel] == 'Administrativo'  ) {

			$anexo = ".icone_modificar($a[0],'layout_anexo','','','','','Anexo','/cactus/imagens/visualizar2.png')";
			$imprime = "<a href=requisicao.php?i=$a[0]&s=".md5($a[0])." title='Imprimir' target=_blank><img src='../cactus/imagens/imprimir.png' border=0></a>";
			
			$valores[]=array($a[comp_nb_id],$a[user_tx_nome],$a[seto_tx_nome],$a[enti_tx_nome],data($a[comp_tx_dataCadastro],1),
			mostra_valor($a[comp_tx_valor],1),$a[comp_tx_status],$enviar_email,$imprime,$modificar);
		
		} else {

			$anexo = "";
			$imprime = "<a href=requisicao.php?i=$a[0]&s=".md5($a[0])." target=_blank><img src='../cactus/imagens/imprimir.png' border=0></a>";
			//$modificar = "";
			
			$valores[]=array($a[comp_nb_id],$a[user_tx_nome],$a[seto_tx_nome],$a[enti_tx_nome],data($a[comp_tx_dataCadastro],1),
			mostra_valor($a[comp_tx_valor],1),$a[comp_tx_status],$enviar_email,$imprime,$modificar);
		
		}
	
		$total_valor+=$a[comp_tx_valor];

		unset($enviar_email,$imprime,$modificar);
	}
	
	$valores[]=array('','','','','<b>TOTAL: </b>',mostra_valor($total_valor),'','','','','');
	
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_compra');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
	
}




controle();
?>
